//
//  RWTWallpaper.m
//  WallpaperBrowser
//
//  Created by Brian Moakley on 4/25/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTWallpaper.h"
#import "NSObject+LLDBQuickLook.h"

@implementation RWTWallpaper

-(instancetype) initForMonth:(NSString *)month wallpaper:(UIImage *)wallpaper artist:(NSString *)artist {
    self = [super init];
    if (self) {
        _month = month;
        _wallpaper = wallpaper;
        _artist = artist;
    }
    return self;
}

-(NSData *) quickLookDebugData {
    return UIImagePNGRepresentation(self.wallpaper);
}

-(id) debugQuickLookObject
{
    return self.wallpaper;
}


@end
